## eole-exim 2.10.0-5

=== Makefile ===
################################
# Makefile pour eole-exim
################################

SOURCE=eole-exim
VERSION=2.10
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-exim (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [713ae2d] /var/run => /run (ref #36678)
  * [a25bd82] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4098f65] Emmanuel Garette: Update package since “debian/eole/2.10.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 01 Apr 2025 11:23:47 +0200

eole-exim (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [464a656] Utiliser getattr pour les variables des groupes.
  * [7bdd921] Merge branch '2.8.0/master' into 2.8.1/master
  * [9a2d65a] Merge branch '2.8.1/master' into 2.9.0/master
  * [c6aed76] Merge branch '2.9.0/master'
  * [95767ab] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [99e6351] Benjamin Bohard: Update package since “debian/eole/2.10.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 10:14:05 +0200

eole-exim (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c7e10e9] CreoleLint ne valide par la valeur None pour une variable.
  * [624740e] Merge branch '2.8.0/master' into 2.8.1/master
  * [ce248d0] Merge branch '2.8.1/master' into 2.9.0/master
  * [e7c9db1] Merge branch '2.9.0/master'
  * [eedce73] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [7e82c84] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 02 Oct 2024 09:11:28 +0200

eole-exim (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b54fbf0] Merge branch '2.6.2/32382-fix-unittest' into 2.6.2/master

  [ Benjamin Bohard ]
  * [b41a986] Déclaration d’ACL conditionnant l’envoi de courriel
  * [4d0e267] Prévoir une dispense de coupure pour une liste d’utilisateurs.
  * [49b57d3] Merge branch '2.6.2/master' into 2.7.0/master
  * [883e470] Merge branch '2.7.0/master' into 2.7.1/master
  * [e33b38f] Merge branch '2.7.1/master' into 2.7.2/master
  * [ad62e32] Merge branch '2.7.2/master' into 2.8.0/master
  * [a576a11] Merge branch '2.8.0/master' into 2.8.1/master
  * [f79edc1] Merge branch '2.8.1/master' into 2.9.0/master
  * [5827650] Merge branch '2.9.0/master'
  * [b12b595] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d46aa89] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 30 Sep 2024 10:28:21 +0200

eole-exim (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [583c809] Prepare release 2.10.0
  * [abcd27e] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [5db975d] Pallier le problème entre apparmor et systemd.
  * [ba49db1] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f440f80] Benjamin Bohard: Update package since “debian/eole/2.9.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 18 Jun 2024 16:00:21 +0200

=== debian/control ===
Source: eole-exim
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-exim
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-exim/repository

Package: eole-exim
Architecture: all
Depends: ${misc:Depends}
Suggests: eole-exim-auth (>= 2.4.1-10)
# FIXME: gérer eole-mail dans le control de ssmtp
Provides: eole-mail
Conflicts: eole-mail
Replaces: eole-ssmtp, eole-mail (<= 2.3-eole314~8)
Description: Configuration EOLE pour Exim
 Ce paquet fourni les templates et dictionnaires EOLE pour la
 configuration d’exim.
 .
 Cinq modes de fonctionnements sont supportés:
 - Pas sur un réseau, distribution locale uniquement (local)
 - Envois via relais sans mail local (satellite)
 - Envois via relais avec gestion des boites locales et domaine privé (smarthost)
 - Envois par routes manuelles et via relais sans mail local (mailhub)
 - Relais (internet)

Package: eole-exim-auth
Architecture: all
Depends: eole-exim,
         eole-client-annuaire,
         eole-sso-client,
         ${misc:Depends}
Replaces: eole-exim (<< 2.4.1-9)
Breaks: eole-exim (<< 2.4.1-9)
Description: Configuration EOLE pour Exim
 Ce paquet fournit les templates et dictionnaires EOLE pour la
 configuration de l’authentification SMTP d’exim.

Package: eole-exim4-config
Architecture: all
Depends: ${misc:Depends}
# Provides: exim4-config-2
# Conflicts: exim4-config, exim4-config-2
# Replaces: exim4-config
Description: Configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config-eole provides the
 configuration for the exim4 daemon packages on EOLE systems in
 replacement of the exim4-config package.

Package: eole-exim-pkg
Depends: exim4, exim4-daemon-heavy, eole-exim4-config,
         ${misc:Depends}
Architecture: all
Provides: eole-mail-pkg, exim-pkg 
Conflicts: eole-mail-pkg, exim-pkg 
Replaces: eole-mail-pkg, exim-pkg 
Description: EOLE exim4 configuration (metapackage)
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 This metapackage pulls the exim4 binary and EOLE configuration.

Package: eole-exim-auth-pkg
Depends: ${misc:Depends},
         libpam-ldap,
         libpam-cas-eole
Architecture: all
Description: EOLE exim4 authentication configuration (metapackage)
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 This metapackage pulls the exim4 binary and EOLE configuration.

Package: eole-exim-tests
Architecture: all
Depends: eole-exim,
         python3-pytest,
         ${misc:Depends}
Description: Tests py.test pour eole-exim
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr
